Bug#461558: octave fails to invoke gnuplot

614 views
Skip to first unread message

Folkert van Heusden

unread,
Jan 19, 2008, 9:30:18 AM1/19/08
to
Package: octave
Version: 1:2.9.19-2
Severity: normal


When trying to plot a graph from octave, it fails to do so with all
kinds of gnuplot errors:
gnuplot> set terminal aqua 1 enhanced
^
line 0: unknown or ambiguous terminal type; type just 'set terminal' for a list


gnuplot> plot "-" using ($1):($2) axes x1y1 title "" with lines linestyle 1 ;
^
line 0: use 'set term' to set terminal type first


gnuplot> 16 156.654981566774
^
line 0: invalid command


gnuplot> 32 91.2148803309808
^
line 0: invalid command


gnuplot> 64 38.6920812826882
^
line 0: invalid command


gnuplot> 128 16.9490940352743
^
line 0: invalid command


gnuplot> 256 8.92561506009524
^
line 0: invalid command


gnuplot> 512 3.40880581041852
^
line 0: invalid command


gnuplot> 1024 2.57375585493804
^
line 0: invalid command


gnuplot> e
^
line 0: invalid command


mauer:~/bin# dpkg --list | grep gnuplot
ii gnuplot 4.2.2-1 A command-line driven interactive plotting p
ii gnuplot-nox 4.2.2-1 A command-line driven interactive plotting p
ii gnuplot-x11 4.2.2-1 X11-terminal driver for gnuplot


script: http://www.wraith.sf.ca.us/ntp/allan.oct


-- System Information:
Debian Release: lenny/sid
APT prefers testing
APT policy: (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.22-3-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages octave depends on:
ii octave2.9 1:2.9.19-2 GNU Octave language for numerical

octave recommends no packages.

-- no debconf information

--
To UNSUBSCRIBE, email to debian-bugs-...@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listm...@lists.debian.org

Rafael Laboissiere

unread,
Jan 19, 2008, 10:50:18 AM1/19/08
to
package octave
tags 461558 moreinfo
thanks

* Folkert van Heusden <fol...@vanheusden.com> [2008-01-19 15:20]:

> Package: octave
> Version: 1:2.9.19-2
> Severity: normal
>
>
> When trying to plot a graph from octave, it fails to do so with all
> kinds of gnuplot errors:
> gnuplot> set terminal aqua 1 enhanced
> ^
> line 0: unknown or ambiguous terminal type; type just 'set terminal' for a list
>

> [snip]

First of all, you should use octave3.0 instead of octave2.9, which is now
deprecated (we are waiting for Bug#457675 for having octave2.9 dropped from
Debian).

Second, I cannot run the script you indicated:

> script: http://www.wraith.sf.ca.us/ntp/allan.oct

Because it tries to open a file called "loopstats", which is not available.
So far, I cannot replicate the bug.

--
Rafael

Rafael Laboissiere

unread,
Feb 12, 2008, 9:10:24 AM2/12/08
to
* Folkert van Heusden <fol...@vanheusden.com> [2008-02-12 14:17]:

> Just tried 3.0 and it gives the same errors:


>
> gnuplot> set terminal aqua 1 enhanced
> ^
> line 0: unknown or ambiguous terminal type; type just 'set terminal' for a list
>
>

> gnuplot> plot "-" using ($1):($2) axes x1y1 title "" with lines linestyle 1 ;
> ^
> line 0: use 'set term' to set terminal type first

Have you by any chance set the environment variable GNUTERM? What does the
follow yield for you?

$ echo $GNUTERM
$ GNUTERM=x11 /usr/bin/octave3.0 -qf
octave:1> plot (randn (10, 1));

Folkert van Heusden

unread,
Feb 14, 2008, 3:20:11 PM2/14/08
to
> > Just tried 3.0 and it gives the same errors:
> > gnuplot> set terminal aqua 1 enhanced
> > ^
> > line 0: unknown or ambiguous terminal type; type just 'set terminal' for a list
> >
> >
> > gnuplot> plot "-" using ($1):($2) axes x1y1 title "" with lines linestyle 1 ;
> > ^
> > line 0: use 'set term' to set terminal type first
>
> Have you by any chance set the environment variable GNUTERM? What does the
> follow yield for you?
>
> $ echo $GNUTERM
> $ GNUTERM=x11 /usr/bin/octave3.0 -qf
> octave:1> plot (randn (10, 1));

Tried it under X11 and then things work. So it seems X11 is required for
it to run. I thought and hoped it would emit a png/gif/jpg-file.
So the bug can be closed.


Thanks a lot,

Folkert van Heusden

--

Multitail - gibkaja utilita po sledovaniju log-fajlov i vyvoda
kommand. Fil'trovanie, raskra?ivanie, slijanie, vizual'noe sravnenie,
i t.d. http://www.vanheusden.com/multitail/
----------------------------------------------------------------------
Phone: +31-6-41278122, PGP-key: 1F28D8AE, www.vanheusden.com

John W. Eaton

unread,
Feb 14, 2008, 4:00:27 PM2/14/08
to
On 14-Feb-2008, Folkert van Heusden wrote:

| > > Just tried 3.0 and it gives the same errors:
| > > gnuplot> set terminal aqua 1 enhanced
| > > ^
| > > line 0: unknown or ambiguous terminal type; type just 'set terminal' for a list
| > >
| > >
| > > gnuplot> plot "-" using ($1):($2) axes x1y1 title "" with lines linestyle 1 ;
| > > ^
| > > line 0: use 'set term' to set terminal type first
| >
| > Have you by any chance set the environment variable GNUTERM? What does the
| > follow yield for you?
| >
| > $ echo $GNUTERM
| > $ GNUTERM=x11 /usr/bin/octave3.0 -qf
| > octave:1> plot (randn (10, 1));
|
| Tried it under X11 and then things work. So it seems X11 is required for
| it to run. I thought and hoped it would emit a png/gif/jpg-file.
| So the bug can be closed.

To generate graphics files without displaying them on the screen, try
something like

figure (1, 'visible', 'off');
plot (randn (10, 1));
print -dpng foo.png


jwe

Thomas Weber

unread,
Feb 14, 2008, 4:40:12 PM2/14/08
to
On 14/02/08 21:12 +0100, Folkert van Heusden wrote:
> > Have you by any chance set the environment variable GNUTERM? What does the
> > follow yield for you?
> >
> > $ echo $GNUTERM
> > $ GNUTERM=x11 /usr/bin/octave3.0 -qf
> > octave:1> plot (randn (10, 1));
>
> Tried it under X11 and then things work. So it seems X11 is required for
> it to run. I thought and hoped it would emit a png/gif/jpg-file.
> So the bug can be closed.

It's not too difficult to plot directly to a file, without a window
popping up, if that is what you need:

http://www.nabble.com/Re%3A-Saving-pngs-without-plotting-to-screen-first-p14621840.html

Thomas

Folkert van Heusden

unread,
Feb 16, 2008, 9:40:17 AM2/16/08
to
> | > > Just tried 3.0 and it gives the same errors:
> | > > gnuplot> set terminal aqua 1 enhanced
> | > > ^
> | > > line 0: unknown or ambiguous terminal type; type just 'set terminal' for a list
> | > >
> | > >
> | > > gnuplot> plot "-" using ($1):($2) axes x1y1 title "" with lines linestyle 1 ;
> | > > ^
> | > > line 0: use 'set term' to set terminal type first
> | >
> | > Have you by any chance set the environment variable GNUTERM? What does the
> | > follow yield for you?
> | >
> | > $ echo $GNUTERM
> | > $ GNUTERM=x11 /usr/bin/octave3.0 -qf
> | > octave:1> plot (randn (10, 1));
> |
> | Tried it under X11 and then things work. So it seems X11 is required for
> | it to run. I thought and hoped it would emit a png/gif/jpg-file.
> | So the bug can be closed.
>
> To generate graphics files without displaying them on the screen, try
> something like
> figure (1, 'visible', 'off');
> plot (randn (10, 1));
> print -dpng foo.png

Ah ok! Thanks a lot!


Folkert van Heusden

--
Multi tail barnamaj mowahib li mora9abat attasjilat wa nataij awamir
al 7asoub. damj, talwin, mora9abat attarchi7 wa ila akhirih.


http://www.vanheusden.com/multitail/
----------------------------------------------------------------------
Phone: +31-6-41278122, PGP-key: 1F28D8AE, www.vanheusden.com

--

Reply all
Reply to author
Forward
0 new messages